package com.atlassian.bitbucket.mesh.git.builder.rebase;

import javax.annotation.Nonnull;
import java.util.Optional;

import static java.util.Optional.ofNullable;

public enum GitRebaseStat {

    DEFAULT(null),
    OFF("--no-stat"),
    ON("--stat");

    private final String flag;

    GitRebaseStat(String flag) {
        this.flag = flag;
    }

    @Nonnull
    public Optional<String> getFlag() {
        return ofNullable(flag);
    }
}
